# This is a standard benchmark for interpreters.  It is a heavily
# recursive routine that returns the nth Fibionacci number.
# It is defined recursively as:
#
#     f_0 = 0, f_1 = 1, .... , f_{n+1} = f_n + f_{n-1}, ...
#
#     or {0, 1, 1, 2, 3, 5, 8, 13, 21, 34, 55, ...}
#

:fib n
   ++cnt
   if !n
      0
   else if !--n
      1
   else
      fib[n] + fib[n-1]

v = {}

for i = 0, i < 16, ++i
   print "-- " i
   cnt = 0
   v += fib[i]
   print "   " cnt

?v
