:BalTree i j
   local k = (i + j + 1) >> 1
      r[i][j] = k
      return (if [i < j] (w[i][j] + BalTree[i, k - 1] + BalTree[k, j]) else 0)


:OptTree
   local x, min, i, j, k, h, m, lim
      p = {}
      for i = 0, i <= n, ++i
         p[i] = {}
         p[i][i] = 0
      r = {}
      for i = 0, i < n, ++i
         j = i + 1
         p[i][j] = w[i][j]
         r[i] = {}
         r[i][j] = j
      for h = 2, h <= n, ++h
         for i = 0, i <= n - h, ++i
            j = i + h \ m = r[i][j - 1] \ min = p[i][m - 1] + p[m][j]
            lim = r[i + 1][j]
            for k = m + 1, k <= lim, ++k
               x = p[i][k - 1] + p[k][j]
               if x < min
                  m = k \ min = x

            p[i][j] = min + w[i][j] \ r[i][j] = m

:PrintTree i j level
   if i < j
      local k, ln = ""
         PrintTree [i, r[i][j] - 1, level + 1]
         for k = 0, k < level, ++k
            ln += "        "
         print ln ab[r[i][j]].k
         PrintTree [r[i][j], j, level + 1]

ab = {
   {`b=169                   }
   {`b=25   `a=3     `k="and"}
   {`b=355  `a=37    `k="array"}
   {`b=87   `a=125   `k="begin"}
   {`b=264  `a=1     `k="by"}
   {`b=247  `a=14    `k="case"}
   {`b=90   `a=28    `k="code"}
   {`b=118  `a=9     `k="const"}
   {`b=10   `a=3     `k="definition"}
   {`b=0    `a=16    `k="div"}
   {`b=124  `a=55    `k="do"}
   {`b=4    `a=299   `k="else"}
   {`b=10   `a=198   `k="elsif"}
   {`b=281  `a=689   `k="end"}
   {`b=35   `a=25    `k="exit"}
   {`b=442  `a=3     `k="export"}
   {`b=0    `a=19    `k="from"}
   {`b=646  `a=0     `k="for"}
   {`b=5    `a=464   `k="if"}
   {`b=13   `a=3     `k="implementation"}
   {`b=15   `a=20    `k="import"}
   {`b=654  `a=2     `k="in"}
   {`b=159  `a=24    `k="loop"}
   {`b=130  `a=15    `k="mod"}
   {`b=166  `a=16    `k="module"}
   {`b=16   `a=79    `k="nil"}
   {`b=218  `a=10    `k="not"}
   {`b=31   `a=34    `k="of"}
   {`b=276  `a=95    `k="or"}
   {`b=82   `a=11    `k="pointer"}
   {`b=418  `a=171   `k="procedure"}
   {`b=124  `a=1     `k="qualified"}
   {`b=49   `a=6     `k="record"}
   {`b=30   `a=9     `k="repeat"}
   {`b=174  `a=2     `k="return"}
   {`b=505  `a=22    `k="set"}
   {`b=9    `a=662   `k="then"}
   {`b=385  `a=6     `k="to"}
   {`b=37   `a=13    `k="type"}
   {`b=347  `a=9     `k="until"}
   {`b=84   `a=203   `k="var"}
   {`b=0    `a=35    `k="while"}
   {`b=981  `a=14    `k="with"}}


n = len[ab] - 1

w = {}

for i = 0, i <= n, ++i
   print "* " i "/" n
   w[i] = {}
   ww = w[i]
   hh = ww[i] = ab[i].b
   for j = i + 1, j <= n, ++j
      ww[j] = hh += ab[j].a + ab[j].b

?
?
?

print "Total weight = " w[0][n]

?
?
?

r = {}
for i = 0, i <= n, ++i
   r[i] = {}

print ["Pathlength of balanced tree = " BalTree[0, n]] \ ? \ PrintTree [0 n 0]

?
?
?

p = {}

OptTree[]

print ["Pathlength of optimal tree = " p[0][n]] \ ? \ PrintTree[0 n 0]

?
?
?

